Сайт | Скачать | Видео | Wiki

Автор Тема: Отсутствие в puppy пакетного менеджера  (Прочитано 18040 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 10075
  • Репутация: +103/-0
Re:Отсутствие в puppy пакетного менеджера
« Ответ #30 : 08 Октябрь 2011, 07:20:39 »
В качестве инструмента сборки .sfs без компиляции это лучше чем "молоток и зубило"
вы так категоричны, даже спорить уже не охота, уймитесь уже. Толпы пользователей gentoo это видимо глюки бегающие по форумам. То что вы не умеете или не хотите заниматься сборкой из исходников еще не значит что это старый плохой метод.
Еще раз говорю - уймитесь по этому поводу, не аргумент это.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 546
  • Репутация: +25/-1
  • Пусть воюют другие
Re:Отсутствие в puppy пакетного менеджера
« Ответ #31 : 13 Октябрь 2011, 16:30:08 »
Тема заглохла?
sfs, есть предложение собрать gslapt.
Есть версия, находящаяся в стадии разработки.
Могу прислать.
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 24040
  • Репутация: +173/-0
    • PuppyRus-A
Re:Отсутствие в puppy пакетного менеджера
« Ответ #32 : 13 Октябрь 2011, 17:04:05 »
Тема заглохла?.
Про ПМ - в процессе работ lupurusbit - пришел к выводу , что в желаемом объеме это не возможно в puppy
Просили уняться - унялся. Ветеранов уважаю (есть за что)
SFSL юзаю и продолжаю (не надо чморить за рекламу - продавать его не собираюсь :) Там с ПМ все ОК
sfs, есть предложение собрать gslapt.
Есть версия, находящаяся в стадии разработки.
Могу прислать.
Присылайте - посмотрю, обсудим
Это ПМ слака? Со слаком я не очень
« Последнее редактирование: 13 Октябрь 2011, 17:05:44 от sfs »

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 546
  • Репутация: +25/-1
  • Пусть воюют другие
Re:Отсутствие в puppy пакетного менеджера
« Ответ #33 : 14 Октябрь 2011, 18:26:58 »
http://depositfiles.com/files/332e66ogx
проблема в добавлении gpg ключей
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн Vovasil

  • Пользователь
  • **
  • Сообщений: 76
  • Репутация: +6/-0
Re:Отсутствие в puppy пакетного менеджера
« Ответ #34 : 14 Октябрь 2011, 20:19:31 »
проблема в добавлении
А у меня еще нет еще и библиотек. По приколу привожу выдержку из другого форума:
Цитировать
Re: Не хватает библиотек libcrypto.so.0, libssl.so.0 и т.д. для установки пакектов из rpm!
libcom_err.so.3 - поставь e2fsprogs
libcrypto.so.0 - поставь openssl
liblber.so.2 - поставь openldap
Короче, используй apt-get.
Хороший совет. А если без шуток, то ни apt-get, ни gslapt полноценно работать в Puppy не смогут (они просто не найдут своих баз в системе). Хотя, возможно, могут оказаться полезными некоторые консольные утилиты из них.   
В принципе, для правильной установки и последующего удаления, следует:
1. скаченные пакеты deb или rpm раскрыть в директорий
2. почистить, отредактировать в соответствии с форматом pet (кстати, хорошо бы и для sfs установить какие-то правила)
3. собрать в pet или sfs.
"Прямые" преобразования rpm2pet, deb2pet только при счастливом стечении обстоятельств заканчиваются полноценным пакетом.   

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 546
  • Репутация: +25/-1
  • Пусть воюют другие
Re:Отсутствие в puppy пакетного менеджера
« Ответ #35 : 14 Октябрь 2011, 20:34:40 »
А у меня еще нет еще и библиотек. По приколу привожу выдержку из другого форума:

Собиралось на коленках, под LupuRus-520-М1 с TDE. Установка - фул. На системе уже много чего висит. Надо будет загрузить фругал и попробовать.

Хороший совет. А если без шуток, то ни apt-get, ни gslapt полноценно работать в Puppy не смогут (они просто не найдут своих баз в системе)

Под LighthousePup работает вполне вменяемо. Базы надо с тырнета тянуть.
Кстати, в апте от DdShurik и в синаптике от мну они уже есть. В /var/lib/dpkg
Апт не будет работать по причине кривости dpkg, который зависит от libc6 - то бишь
привязан к ядру. Установите, допустим в той же убунте простенький eog, но с репозитория более новой весии: вам столько зависимостей вытянет, что обалдеть.
А это просто замена либ более новыми.

"Прямые" преобразования rpm2pet, deb2pet только при счастливом стечении обстоятельств заканчиваются полноценным пакетом.

deb прекрасно устанавливается и pet-getом, rpm лучше перепаковать вручную.
У меня все становится гут. Не знаю в чем проблема преобразований rpm2pet, deb2pet, ибо не пользовался. Способ, описанный выше мне кажется надежней.
________________________________________
Пошел доделывать
« Последнее редактирование: 14 Октябрь 2011, 20:58:04 от imp »
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн Vovasil

  • Пользователь
  • **
  • Сообщений: 76
  • Репутация: +6/-0
Re:Отсутствие в puppy пакетного менеджера
« Ответ #36 : 14 Октябрь 2011, 21:17:59 »
deb прекрасно устанавливается и pet-getом
Один пакет - без проблем, согласен. А если устанавливаешь и потом сносишь что-то типа alien? Попробуй потом найти все установленные пакеты и пакетики зависимостей, если petget не записывает даже даты установки. Кроме того deb ориентирован на структуру директориев debian и под их менеджеры. Установить можно, но правильнее, наверное, перепаковать. 

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 546
  • Репутация: +25/-1
  • Пусть воюют другие
Re:Отсутствие в puppy пакетного менеджера
« Ответ #37 : 14 Октябрь 2011, 21:26:04 »
но правильнее, наверное, перепаковать.

Так и делаю.
Кстати, кеды 4.44 у Бита в каталоге - помесь деб и рпм.
Компьютер имеет то преимущество перед мозгом, что им пользуются.